跳转到内容

Hunyuan Video (Video-to-Video)

集成

模型 id hunyuan-video/video-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan-video/video-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

每次运行最高 $4.50 按实际用量收费,剩余部分退款 在此页面运行

获取 API 密钥
Tencent 视频生成视频 最高 720p #video-to-video#motion

对输入视频进行 Hunyuan Video 风格重绘,并通过 strength 控制偏离源视频的程度

Tencent · 视频

你的第一个结果会显示在这里

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存,也可免费保存 7 天。

构建请求

控件根据模型架构生成。修改控件时,代码和价格会同步更新。

•必填

作为视频生成基础的提示词。

•必填 video_url
拖放文件,或

输入视频的 URL。

aspect_ratio 默认 16:9

输出视频的宽高比。

resolution 默认 720p

输出视频的分辨率。

高级 num_frames · strength · seed · pro_mode · enable_safety_checker
num_frames 默认 129

生成输出的帧数。

默认 0.85

视频到视频生成期间应用的强度。

视频生成的种子值。

POST /run/hunyuan-video/video-to-video?wait=20 报价 → $4.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan-video/video-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Hunyuan Video (Video-to-Video)

使用文本提示词和 `video_url` 转换现有视频片段。`strength` 范围为 0.01 到 1,默认值为 0.85。支持 16:9 或 9:16、480p、580p 或 720p,以及 129 或 85 帧。还支持 `pro_mode` 和 `seed`。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
作为视频生成基础的提示词。
seed可选
类型integer | null
视频生成的种子值。
pro_mode可选
类型boolean
默认值false
生成默认使用 35 个步骤。
aspect_ratio可选
类型enum
默认值16:9
16:99:16
输出视频的宽高比。
resolution可选
类型enum
默认值720p
480p580p720p
输出视频的分辨率。
num_frames可选
类型enum
默认值129
12985
生成输出的帧数。
enable_safety_checker可选
类型boolean
默认值false
安全检查开关。关闭此设置需要账户授权;没有该授权时,无论设置如何,每个请求都会经过检查;true 表示启用检查器。
video_url必填 video
类型url · video
输入视频的 URL。
strength可选
类型number
默认值0.85
0.01 – 1
视频到视频生成期间应用的强度。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan-video/video-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 4500,
    "usd": "4.50",
    "charged": 4500,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
文件由你选择每个 outputs[].url 都是我们存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
所有模型的结构一致图像、视频和音频的字段均为 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size}
seed
integer视频生成期间使用的种子值。

更多模型:视频生成视频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh-CN/developers/models/hunyuan-video/video-to-video.md. 所有模型和指南: https://doitong.com/developers/llms.txt